-- Peter's Sports League Standings
-- Upgrade database from version 1.1 to 1.2

-- Links conferences to a season

ALTER TABLE `sportsdb_conferences` ADD `season` INT( 11 ) NOT NULL DEFAULT '1';

-- Inserts a season table

CREATE TABLE `sportsdb_seasons` (
`seasonid` INT( 11 ) NOT NULL AUTO_INCREMENT ,
`seasonname` VARCHAR( 255 ) NOT NULL ,
`seasonorder` INT( 11 ) NOT NULL ,
UNIQUE (
`seasonid`
) );

-- Adds a default season

INSERT INTO `standings`.`sportsdb_seasons` (
`seasonid` ,
`seasonname` ,
`seasonorder`
)
VALUES (
NULL , '2008', '10'
);

-- Inserts a master team table

CREATE TABLE `sportsdb_masterteams` (
`masterteamid` INT( 11 ) NOT NULL AUTO_INCREMENT ,
`masterteamname` VARCHAR( 255 ) NOT NULL ,
`masterteamactive` TINYINT( 1 ) NOT NULL DEFAULT '1',
UNIQUE (
`masterteamid`
) );

-- Inserts the master team field to the teams table

ALTER TABLE `sportsdb_teams` ADD `masterteam` INT( 11 ) NOT NULL ;

-- Copies all teams

INSERT INTO `sportsdb_masterteams` (`masterteamid`, `masterteamname`)
SELECT `teamid`, `teamname` FROM `sportsdb_teams` ORDER BY `teamid`;

-- Assigns each team the appropriate master team ID

UPDATE `sportsdb_teams` SET `masterteam` = `teamid`;
